Subject: RE: Linux 2.6 from git.xilinx and XUPV2P

From: greenlean <[email-masked]>
Date: Thu, 13 Dec 2007 03:09:54 -0800 (PST)

OK, now this morning (I'm working in Spain) I compiled the kernel using the
xparameters_xupv2p.h generated by edk, everything is OK, only a few
warnings. 

But as I told you yesterday I have the same problem, the xdm shell tell me
that it can't read the file, maybe it is corrupted, the error reported is
the ERROR(1053) I don't Know what it means.

Following your steps I try to verify that the elf file generated is an elf
file, I used the ppc_4xx-readelf -h zImage.elf command and it told me this
result:

$ppc_4xx-readelf -h arch/ppc/boot/images/zImage.elf
ELF Header:
  Magic:   7f 45 4c 46 01 02 01 00 00 00 00 00 00 00 00 00 
  Class:                             ELF32
  Data:                              2's complement, big endian
  Version:                           1 (current)
  OS/ABI:                            UNIX - System V
  ABI Version:                       0
  Type:                              EXEC (Executable file)
  Machine:                           PowerPC 
  Version:                           0x1
  Entry point address:               0x400000
  Start of program headers:          52 (bytes into file)
  Start of section headers:          1017144 (bytes into file)
  Flags:                             0x0
  Size of this header:               52 (bytes)
  Size of program headers:           32 (bytes)
  Number of program headers:         2
  Size of section headers:           40 (bytes)
  Number of section headers:         17
  Section header string table index: 14

I'm not sure about what I supossed to do with objdump, any instruction about
what to look for,  because objdump works fine, it show me the instruction.

I'm going to search about the elf file, to ensure this is a good elf file.

Stephen Neuendorffer wrote:
> 
> The xparameters file is specific to your hardware design.
> You should change the name of the generated xparameters file to match
> xparameters_xupv2p.h 
> 
> Unfortunately, it's sort of an historical artifact that it was done this
> way...  In reality, all the different xparameters files should really
> just be one, since only one can be active at a time.
> 
> The last error sounds like you haven't actually generated an elf file?
> have you tried running objdump on it?
> 
> Steve
> 
>> -----Original Message-----
>> From: 
>> linuxppc-embedded-bounces+stephen=[email-masked]
>>  
>> [mailto:linuxppc-embedded-bounces+stephen=neuendorffer.name@oz
>> labs.org] On Behalf Of greenlean
>> Sent: Wednesday, December 12, 2007 9:05 AM
>> To: [email-masked]
>> Subject: Re: Linux 2.6 from git.xilinx and XUPV2P
>> 
>> 
>> 
>> 
>> greenlean wrote:
>> > 
>> > Thanks both for the response, I've allready visited some of 
>> the links. 
>> > 
>> > Yes, you was right it's easear than I think, my problem was 
>> the .config
>> > file. Now, I have generated it from ml300_defconfig and 
>> after some changes
>> > it compiles, but I've two question:
>> > 
>> >  * I've chosen as platform the XUPV2P in Machine Type, 
>> instead of ML300,
>> > so the xparameters file that I'm using is the 
>> xparameters_xupv2p.h, but
>> > the xparameters file generated by the EDK is 
>> xparameters_ml300 despite I
>> > told it to use XUPV2P, so I can't overwrite it... 
>> > 
>> > Should I use the xparameters_ml300 generated by EDK or the
>> > xparameters_xupv2p included in the git kernel tree?.  I 
>> can't compile with
>> > the edk's xparameters_ml300 file because there's some 
>> definition that the
>> > compiler can't find, so I'm using the xparameters_xupv2p.
>> > 
>> >  * Second, if I compile using the xparameters_xupv2p, when 
>> I do the dow
>> > command to download the image to the board, the xmd shell tell me:
>> >            
>> >    XMD% dow zImage.elf
>> >            Failed to download ELF file
>> > 
>> >       ERROR(1053): UNABLE to Read Elf File. The Elf File 
>> Maybe Corrupted
>> >           : zImage.elf
>> > Maybe this error is due to the above asumption??. I'll post 
>> this second
>> > one on xilinx-support maybe it's realted with my system.....
>> > 
>> > 
>> > 
>> 
>> -- 
>> View this message in context: 
>> http://www.nabble.com/Linux-2.6-from-git.xilinx-and-XUPV2P-tp1
>> 4274035p14299307.html
>> Sent from the linuxppc-embedded mailing list archive at Nabble.com.
>> 
>> _______________________________________________
>> Linuxppc-embedded mailing list
>> [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>> 
>> 
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
View this message in context: http://www.nabble.com/Linux-2.6-from-git.xilinx-and-XUPV2P-tp14274035p14313943.html
Sent from the linuxppc-embedded mailing list archive at Nabble.com.